json
{
"ServiceId": "SID-abc123",
"Price": 14.99,
"Monthly": true
}curl -X POST https://api.telegent.com/v1.0/services/items/update \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"ServiceId": "SID-abc123",
"Price": 14.99,
"Monthly": true
}'import requests
url = "https://api.telegent.com/v1.0/services/items/update"
payload = {
"ServiceId": "SID-abc123",
"AggregatorId": "AGG-abc123",
"DistributorId": "DID-abc123",
"Price": 14.99,
"Monthly": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ServiceId: 'SID-abc123',
AggregatorId: 'AGG-abc123',
DistributorId: 'DID-abc123',
Price: 14.99,
Monthly: true
})
};
fetch('https://api.telegent.com/v1.0/services/items/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Price": 14.99,
"Monthly": true,
"Successful": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Services
Update Service Item
Update an existing service item’s pricing or billing configuration.
What this does: Returns the updated service item record. Only the fields you send are changed. Pricing changes apply at the next billing cycle for active subscriptions using this service.
Next steps:
- Confirm the update —
GET /v1.0/services/items
POST
/
v1.0
/
services
/
items
/
update
json
{
"ServiceId": "SID-abc123",
"Price": 14.99,
"Monthly": true
}curl -X POST https://api.telegent.com/v1.0/services/items/update \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"ServiceId": "SID-abc123",
"Price": 14.99,
"Monthly": true
}'import requests
url = "https://api.telegent.com/v1.0/services/items/update"
payload = {
"ServiceId": "SID-abc123",
"AggregatorId": "AGG-abc123",
"DistributorId": "DID-abc123",
"Price": 14.99,
"Monthly": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ServiceId: 'SID-abc123',
AggregatorId: 'AGG-abc123',
DistributorId: 'DID-abc123',
Price: 14.99,
Monthly: true
})
};
fetch('https://api.telegent.com/v1.0/services/items/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Price": 14.99,
"Monthly": true,
"Successful": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
The service ID this item belongs to
Example:
"SID-abc123"
Optional aggregator ID
Example:
"AGG-abc123"
Optional distributor ID
Example:
"DID-abc123"
The new price for this service item
Example:
14.99
Whether this is a monthly recurring charge (true) or one-time (false)
Example:
true
Response
Success — returns the updated service item
The response is of type object.
⌘I